Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 625431 - Crash when trying to select a text
Crash when trying to select a text
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
14
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Kašík
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-19 08:22 EDT by Tomáš Bžatek
Modified: 2015-03-03 17:51 EST (History)
4 users (show)

See Also:
Fixed In Version: evince-2.31.92-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-15 23:44:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomáš Bžatek 2010-08-19 08:22:55 EDT
Description of problem:
Trying to select any text in any PDF, evince crashes.

Version-Release number of selected component (if applicable):
evince-2.31.6.1-1.fc14.x86_64
poppler-0.14.1-1.fc14.x86_64
gtk2-2.21.6-1.fc14.x86_64

How reproducible:
always

Steps to Reproduce:
1. Open any PDF
2. Select any text
3. Burn!
  
Actual results:
GLib-ERROR **: gmem.c:140: failed to allocate 85487029080000 bytes

Additional info:

Program received signal SIGTRAP, Trace/breakpoint trap.
g_logv (log_domain=0x3257c9fa46 "GLib", log_level=<value optimized out>, format=0x3257ca75f0 "%s: failed to allocate %lu bytes", args1=
    0x7fffffffd770) at gmessages.c:554
554		  g_private_set (g_log_depth, GUINT_TO_POINTER (depth));
(gdb) t a a bt

<useless threads ripped out>

Thread 1 (Thread 0x7ffff7fc2940 (LWP 29293)):
#0  g_logv (log_domain=0x3257c9fa46 "GLib", log_level=<value optimized out>, format=0x3257ca75f0 "%s: failed to allocate %lu bytes", args1=
    0x7fffffffd770) at gmessages.c:554
#1  0x0000003257c475c3 in g_log (log_domain=<value optimized out>, log_level=<value optimized out>, format=<value optimized out>)
    at gmessages.c:568
#2  0x0000003257c4551c in g_malloc (n_bytes=93046171521888) at gmem.c:139
#3  0x000000325ac343c5 in miRegionOp (newReg=0x911f20, reg1=0x911f20, reg2=0x9eef80, overlapFn=0x325ac33f10 <miIntersectO>, nonOverlap1Fn=
    0, nonOverlap2Fn=0) at gdkregion-generic.c:873
#4  0x000000325ac34c6f in IA__gdk_region_intersect (source1=0x911f20, source2=<value optimized out>) at gdkregion-generic.c:609
#5  0x000000325ac3ed50 in gdk_window_invalidate_maybe_recurse_full (window=0x914120 [GdkWindow], region=0x9eef80, clear_bg=CLEAR_BG_NONE, 
    child_func=0x325ac3c5f0 <true_predicate>, user_data=0x0) at gdkwindow.c:5786
#6  0x000000325bc28c51 in merge_selection_region (view=0x8a0040 [EvView], new_list=<value optimized out>) at ev-view.c:5912
#7  0x000000325bc2cfc5 in compute_selections (view=0x8a0040 [EvView], style=EV_SELECTION_STYLE_GLYPH, start=<value optimized out>, 
    stop=<value optimized out>) at ev-view.c:5934
#8  0x000000325bc2d0dd in selection_update_idle_cb (view=0x8a0040 [EvView]) at ev-view.c:3707
#9  0x0000003257c3e793 in g_main_dispatch (context=0x6954b0) at gmain.c:2119
#10 g_main_context_dispatch (context=0x6954b0) at gmain.c:2672
#11 0x0000003257c3ef70 in g_main_context_iterate (context=0x6954b0, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2750
#12 0x0000003257c3f5e2 in g_main_loop_run (loop=0x6ee9d0) at gmain.c:2958
#13 0x000000325b14ac27 in IA__gtk_main () at gtkmain.c:1237
#14 0x000000000043bd94 in main (argc=1, argv=0x7fffffffde58) at main.c:322
(gdb)
Comment 1 Matthias Clasen 2010-08-19 09:20:54 EDT
Can you attach the offending pdf ?
Comment 2 Tomáš Bžatek 2010-08-19 09:49:47 EDT
It happens to me with any pdf file, e.g. http://www.irs.gov/pub/irs-pdf/fw4.pdf (first hit in Google).
Comment 3 Matthias Clasen 2010-08-19 10:56:33 EDT
Ah, here too now :-)
Comment 4 Benjamin Otte 2010-08-19 11:46:58 EDT
It's a bug in evince upstream. Carlos replaced GdkRegion with cairo_region_t unconditionally. So when compiling against GTK 2, bad things happen.

I've notified him on IRC.
Comment 5 Matthias Clasen 2010-09-08 09:45:04 EDT
Fixed upstream: http://git.gnome.org/browse/evince/commit/?h=gnome-2-32&id=e36d5aeda1ceba4d656964ed46985379df64b4f2

Will be in the next evince release.
Comment 6 Marek Kašík 2010-09-09 04:16:29 EDT
Hi Matthias,

thank you for the info.

Marek
Comment 7 Fedora Update System 2010-09-13 10:24:38 EDT
evince-2.31.92-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/evince-2.31.92-2.fc14
Comment 8 Fedora Update System 2010-09-13 14:11:27 EDT
evince-2.31.92-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update evince'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/evince-2.31.92-2.fc14
Comment 9 Fedora Update System 2010-09-15 23:44:16 EDT
evince-2.31.92-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.